package com.fujica.abk.utils;

/**
 * API请求选项
 */
public class ApiOption {
    private String url;
    private Object data;
    private Boolean toast; // 错误提示，默认不传值提示
    private Boolean hideLoading;

    public ApiOption() {
    }

    public ApiOption(String url) {
        this.url = url;
    }

    public ApiOption(String url, Object data) {
        this.url = url;
        this.data = data;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public Object getData() {
        return data;
    }

    public void setData(Object data) {
        this.data = data;
    }

    public Boolean getToast() {
        return toast;
    }

    public void setToast(Boolean toast) {
        this.toast = toast;
    }

    public Boolean getHideLoading() {
        return hideLoading;
    }

    public void setHideLoading(Boolean hideLoading) {
        this.hideLoading = hideLoading;
    }
}

